% STARTUP_pi		PATH/environ script for MPITB Pi example
%			add to/replacement for startup.m

p = getenv('MPITB_ROOT');
if isempty(p)
  p=[getenv('HOME') '/matlab/mpitb'];
end
q = [p '/mpi'];
if ~exist(q, 'dir'), clear p q, error('MPI Toolbox not found (M files)'), end
addpath(q);
q = [p '/mpi/MEX'];
if ~exist(q, 'dir'), clear p q, error('MPI Toolbox not found (MEX files)'), end
addpath(q);		% so that MEX files with same name as M files come 1st
q = [p '/Pi'];
if ~exist(q, 'dir'), clear p q, error('pi Demo not found'), end
addpath(q);
q = getenv('MPITB_ROOT');
if isempty(q)
  putenv(['MPITB_ROOT=' p])
end
clear p q

dpy=getenv('DISPLAY');
if ~isempty(dpy), if dpy(1)==':'
  disp(['DISPLAY=' dpy])
 [dum hname]=unix('hostname');
  hname(end)=[];
  dpy=['DISPLAY=' hname dpy];
  putenv(dpy)
  disp([dpy ' *** DISPLAY changed: OK'])
  clear dum hname
end, end
clear dpy

if ~isempty(getenv('LAMPARENT')),	startup_piSlv;	% MPITB child tasks
else					% Parent task can set MPI configuration
  hostfile=getenv('LAMBHOST');
  if isempty(hostfile), disp('no MPI default hostfile')
  else,	fprintf('MPI default hostfile: %s\n',hostfile)
	if ~exist(hostfile,'file')
	  disp('... missing!!!')
	end
  end

  disp('Set options to Homogeneous+Client-to-Client with the command:')
  disp('  putenv([''TROLLIUSRTF='' int2str(RTF_HOMOG+RTF_MPIC2C)]), MPI_Init')
  disp('Help on MPI: help mpi MCpi MCpiMast MCpiWork MCeff Mast Work')
end  

